<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>V2 Vuejs</title>
</head>
<body>
    <div id="app">
        {{mensaje}}

        <button v-on:click="reverserText">Reverse text</button>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var app = new Vue({
            el:"#app",
            data: {
                mensaje:'Hola  mundo',
            },
            methods: {
                reverserText: function(){
                    this.mensaje = this.mensaje.split('').reverse().join('');
                }
            }
        })

    </script>
</body>
</html>